
@import url('https://fonts.googleapis.com/css2?family=Crete+Round&family=Inter:wght@600;700&family=Poppins&family=Roboto:wght@700&display=swap');

* {
  margin: 0;
  padding: 0;
  list-style: none;
}

a {
  text-decoration: none;
  color: white;
}

.icons {
  display: flex;
}

.container {
  display: flex;
  flex-direction: column;
  background-image: url("./icons/new/O7OFWS0.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-position: center;
  height: 100vh;
}

.icons, .nav {
  list-style: none;
}

.fabars-aside {
  display: flex;
  flex-direction: column;
  gap: 50px;
}

.fa-bars {
  color: white;
  padding: 5%;
}

.nav-bar {
  display: none;
  position: absolute;
  top: 0;
  z-index: 2;
  width: 100%;
  height: 100%;
  background: linear-gradient(to right, rgb(0, 238, 255), #c800ff);
  animation: slideIn 0.5s ease-in-out;
}

@keyframes slideIn {
  from {
    transform: translate(-100%, -100%);
  }
  to {
    transform: translate(0, 0);
  }
}


.logo-close {
  display: flex;
  width: 90%;
  align-items: center;
  justify-content: space-between;
  margin-top: 5%;
  margin-left: 5%;
  padding-right: 10px;
}

.nav-logo {
  font-size: xx-large;
  font-style: italic;
  font-family: cursive;
}

.logo-close a {
  text-decoration: none;
  color: white;
}

.fa-xmark {
  color: white;
  font-size: larger;
}

.fa-xmark, .fa-bars:hover {
  cursor: pointer;
}

.nav-link {
  text-decoration: none;
  color: white;
  font-size: larger;
}

.nav {
  margin-top: 10%;
  margin-left: 5%;
}

.nav li {
  padding: 10px;
  border-bottom: 1px solid rgb(165, 165, 165);
  font-family: poppins;
}

.nav li:hover {
  cursor: pointer;
}

.icons {
  width: 90%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
  position: absolute;
  margin-bottom: 2%;
  bottom: 0;
}

/* Home */


.home-page {
  font-size: larger;
  display: flex;
  flex-direction: column;
  align-items: left;
  padding: 0 10%;
}


.home-page h1, .outro h1 {
  position: relative;
  z-index: 1;
  font-size: 50px;
  font-weight: 600;
  font-family: 'poppins';
  color: white;
}

.home-page p, .outro p {
  position: relative;
  z-index: 1;
  color: white;
  font-size: smaller;
  font-family: 'poppins';
  
}

.home-nav {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0;
  margin-top: 2%;
  padding: 0 8px;
  font-family: poppins;
  font-weight: bold;
}

.home-btn {
  width: 100px;
}


/* About Page */

.outro {
  padding: 0 10%;
}

.aboutme-btn {
  border: 1px solid white;
  border-radius: 5px;
  background-color: transparent;
  padding: 2%;
  margin-top: 5%;
  color: white;
  font-size: larger;
  transition: background-color 0.3s ease;
}

.aboutme-btn a{
  transition: background-color 0.3s ease;
}

.aboutme-btn:hover {
  cursor: pointer;
  color: black;
  background-color: rgb(255, 255, 255);
}

.aboutme-btn:hover a{
  color: black;
}

.language {
  margin-top: 10%;
  padding: 0 3%;
  display: flex;
  justify-content: space-between;
  font-family: poppins;
}

.language ul {
  list-style: none;
}

.about-title, .frameworks-title, .skills-title {
  font-size: larger;
  font-weight: bolder;
  color: #12674A;
  margin-bottom: 15%;
}

.lang-ul {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.li-itm {
  color: #1c9b71;
}

/* Contact Page */

.contact-form-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.contact-form-container h3 {
  font-family: 'poppins';
  padding: 5%;
  text-align: center;
  color: #12674A;
} 

.contact-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
}

.contact-form input {
  background-color: rgba(255, 255, 255, 0.24);
  border: 1px solid rgb(184, 183, 183);
  border-radius: 2px;
  padding: 7px;
  font-size: large;
  font-family: poppins;
  width: 100%;
}

.contact-form textarea {
  background-color: rgba(255, 255, 255, 0.24);
  margin-top: 5px;
  border: 1px solid rgb(184, 183, 183);
  border-radius: 2px;
  padding: 7px;
  font-family: poppins;
  font-size: large;
  width: 100%;
}

.submit-btn {
  padding: 4px 8px;
}

#contact,
#projects,
#about {
  display: none;
}

.icon-btn {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.fa-diagram-project, .fa-address-card, .fa-address-book {
  font-size: small;
}

.fa-arrow-left {
  color: white;
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  padding: 5%;
}

.fa-arrow-left:hover {
  cursor: pointer;
}

.proj-img {
  width: 200px;
  height: 200px;
  border-radius: 10px;
}

.fa-arrows-carousel {
  text-align: center;
  margin-top: 20px;
}

.next {
  font-size: xx-large;
}

.next:hover {
  cursor: pointer;
}

.carosel-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 10%;
}

.carousel-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.work {
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(to right, rgba(0, 238, 255, 0.212), #00155a);
  padding: 2%;
  border: 3px solid #00ffff;
  box-shadow: 0 0 50px 0 #00a6bc;
  border-radius: 10px;
  margin-top: 5%;
}

.proj-desc {
  width: 250px;
  height: 100px;
  text-align: center;
}

.proj-desc, .proj-title {
  font-family: poppins;
}

.see-prjct {
  display: flex;
  gap: 5px;
}

.see-github, .see-live {
  font-size: small;
  width: 100px;
}

.aside-desk {
  display: none;
}

.greet {
  color: #011f0d;
}

.language ul li {
  color: white;
}


/* .......desktop version...... */

@media (min-width: 768px) {

  .fa-diagram-project, .fa-address-card, .fa-address-book {
    font-size: x-small;
    margin-left: 5%;
  }

  .container {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
  }

  #btn-menu, .fa-xmark {
    display: none;
  }

  .icons {
    width: auto;
    margin-left: 1%;
  }

  #btn-menu {
    display: none;
  }

  .logo-close i {
    display: none;
  }

  .nav-bar {
    display: none;
  }

  .aside-desk {
    display: flex;
    width: 270px;
    flex-direction: column;
    gap: 10%;
    height: 100%;
    background-color: rgba(252, 250, 247, 0.048);
  }

  .nav-link {
    transition: 0.5s ease-in;
  }

  .fa-arrow-left {
    display: none;
  }

  #arrow-left {
    display: none;
  }

  .nav-link:hover  {
    background-color: white;
    color: black;
    padding-left: 5px;
    font-size: x-large;
  }

  .nav-logo {
    width: 100%;
    margin: 0;
    font-size: larger;
    transition: color 0.5s ease;
  }

  .nav-logo:hover  {
    color: rgb(173, 170, 170);
  }

  #home {
    margin-top: 10%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border: 3px solid #00ffff;
    box-shadow: 0 0 50px 0 #00a6bc;
    position: relative;
    padding: 5%;
  }

  #main-contents {
    margin-left: 0;
    padding-left: 0;
  }
  
  #home::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, rgba(0, 238, 255, 0.411), #00155a);
    clip-path: polygon(0 0, 65% 0, 0 100%);
  }
  

  .home-nav .home-projects {
    position: relative;
    background-color: transparent;
  }
  
  .home-nav .home-projects::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    clip-path: polygon(100% 0, 100% 100%, 0 100%);
  }
  
  .home-nav .home-projects p, .fa-diagram-project {
    z-index: 1;
  }

  .home-nav {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 5%;
    max-width: 50%;
    padding: 0;
  }

  .home-page {
    padding: 0;
  }

  .icon-btn {
    width: 120px;
  }

  .fa-bars {
    display: none;
  }

  .description {
    max-width: 700px;
  }

  /* Projects */

  #projects {
    margin-top: 10%;
    margin-left: 0;
  }

  .carosel-container {
    padding: 0;
    gap: 20px;
  }

  /* About */

  #about {
    border: 3px solid #00ffff;
    box-shadow: 0 0 100px 0 #00a6bc;
    position: relative;
    width: 70%;
    margin-top: 7%;
  }

  #about::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, #0ef, #00155a);
    clip-path: polygon(0 100%, 100% -30%, 100% 100%, 0 100%);
  }

  .outro {
    padding: 0;
    width: 60%;
  }

  .language {
    padding: 0;
  }

  .language ul {
    z-index: 1;
  }

  .about-me {
    margin: 5%;
  }

  /* Form */

  .banner {
    width: 100%;
    height: 400px;
    background: linear-gradient(to right, #0ef, #c800ff);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 60% 100%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
  }

  .banner h3 {
    max-width: 200px;
    text-align: end;
    color: white;
  }

  .form-wrapper {
    margin-top: 10%;
    position: relative;
    width: 600px;
    display: flex;
    flex-direction: row-reverse;
    gap: 5px;
    border: 3px solid #00ffff;
    box-shadow: 0 0 50px 0 #00a6bc;
  }
  
  .contact-form {
    width: 80%;
    margin-left: 10px;
  }

  ::-webkit-input-placeholder {
    color: #eee;
  }

  .contact-form input, .contact-form textarea {
    border: none;
    border-bottom: 1px solid white;
    outline: none;
    background: none;
    color: #0ef;
  }

  .submit-btn {
    width: 100%;
    background: linear-gradient(45deg, #0ef, #c800ff);
    border-radius: 25px;
  }
}


@media (min-width: 850px) {
  #main-contents {
    margin-left: 5%;
  }
}

@media (min-width: 950px) {
  #main-contents {
    margin-left: 10%;
  }
}

@media (min-width: 1020px) {
  #main-contents {
    margin-left: 13%;
  }
}